#
# Conditional build:
%bcond_without	jms	# build output jms classes

%define		srcname	avalon-logkit
%include	/usr/lib/rpm/macros.java
Summary:	Java logging toolkit
Summary(pl.UTF-8):	Biblioteka do logowania w Javie
Name:		java-avalon-logkit
Version:	2.1
Release:	2
License:	Apache v2.0
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/excalibur/avalon-logkit/source/%{srcname}-%{version}-src.tar.gz
# Source0-md5:	fee6f5f2db70c320aafbfb4cc32c1c43
Patch0:		%{name}-java7.patch
URL:		http://excalibur.apache.org/logger.html
BuildRequires:	ant
BuildRequires:	ant-junit
%if %(locale -a | grep -q ^en_US$ ; echo $?)
BuildRequires:	glibc-localedb-all
%endif
BuildRequires:	java(javamail)
BuildRequires:	java(jdbc-stdext)
BuildRequires:	java(servlet)
BuildRequires:	java-junit
BuildRequires:	java-log4j
BuildRequires:	jdk
%{?with_jms:BuildRequires:	jms}
BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	java(jdbc-stdext)
Requires:	java(servlet)
%{?with_jms:Requires:	jms}
Obsoletes:	avalon-logkit
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LogKit is a logging toolkit designed for secure performance orientated
logging in applications. To get started using LogKit, it is recomended
that you read the whitepaper and browse the API docs.

%description -l pl.UTF-8
LogKit to biblioteka do logowania zaprojektowana z myślą o
bezpiecznym, wydajnym logowaniu w aplikacjach. Zaleca się zacząć
używanie LogKitu od przeczytania specyfikacji i przejrzenia
dokumentacji API.

%package javadoc
Summary:	Javadoc for Avalon LogKit
Summary(pl.UTF-8):	Dokumentacja Javadoc do pakietu Avalon LogKit
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	avalon-logkit-javadoc

%description javadoc
Javadoc for Avalon LogKit.

%description javadoc -l pl.UTF-8
Dokumentacja Javadoc do pakietu Avalon LogKit.

%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p1

%build
required_jars="log4j mail %{?with_jms:jms} servlet-api jdbc-stdext junit"
PWD=$(pwd)
CLASSPATH=$(build-classpath $required_jars) #:$PWD/build/classes

export LC_ALL=en_US # source code not US-ASCII

%ant clean jar javadoc \
	-Dnoget=1

%install
rm -rf $RPM_BUILD_ROOT
# jars
install -d $RPM_BUILD_ROOT%{_javadir}
cp -a target/avalon-logkit-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-%{version}.jar
ln -s %{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}.jar

# javadoc
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -a dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%doc LICENSE.txt NOTICE.txt
%{_javadir}/avalon-logkit-%{version}.jar
%{_javadir}/avalon-logkit.jar

%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%changelog
* Tue Feb 28 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/java-avalon-logkit.git;a=log;h=master

* Tue Feb 28 2017 Jan Rękorajski <baggins@pld-linux.org> 4f5d4e7
- replace java16 patch with java7 patch from gentoo
- updated BRs
- rel 2

* Tue May 08 2012 Elan Ruusamäe <glen@pld-linux.org> e801d02
- does not compile without jms, so enable the bcond

* Sat Feb 12 2011 Jakub Bogusz <qboosh@pld-linux.org> 4c4c2a0
- changed URLs once again: avalon-logkit is continued as part of Excalibur project
- updated to 2.1
- removed obsolete build,javadoc patches

* Sat Feb 12 2011 Jakub Bogusz <qboosh@pld-linux.org> 5a7b2f4
- updated Source0 URL (avalon project has been closed and archived)
- don't BR glibc-localedb-all if en_US locale is already provided

* Tue Apr 20 2010 pawelz <pawelz@pld-linux.org> 2aa9551
- updated java deps

* Sun Apr 18 2010 pawelz <pawelz@pld-linux.org> 550fcfc
- jdbc-stdext -> java(jdbc-stdext)

* Sat Apr 17 2010 pawelz <pawelz@pld-linux.org> 618a270
- s/jdbc-stdext/java(jdbc-stdext)/

* Sat Apr 17 2010 pawelz <pawelz@pld-linux.org> a8b0570
- no longer need to force gcj for th

* Sat Apr 03 2010 pawelz <pawelz@pld-linux.org> dda0459
- dropped BR: jdk

* Sat Apr 03 2010 pawelz <pawelz@pld-linux.org> 351b9a9
- renamed from avalon-logkit
- unified
- don't build jms part, as we have no jms implementation packaged

* Sat Apr 03 2010 pawelz <pawelz@pld-linux.org> 47cd660
- remove target=1.2

* Thu Oct 23 2008 pawelz <pawelz@pld-linux.org> 42e86ce
- added patch that allows to build with java 1.6

* Thu Oct 23 2008 pawelz <pawelz@pld-linux.org> 79154f7
- buildfix for java 1.6
- found in apache cocoon svn

* Sat Feb 09 2008 Jakub Bogusz <qboosh@pld-linux.org> 94c8128
- unified License format

* Sat Jan 05 2008 Jakub Bogusz <qboosh@pld-linux.org> 18616af
- pl

* Sun Dec 02 2007 Elan Ruusamäe <glen@pld-linux.org> ad74e9d
- add javadoc link

* Sun Dec 02 2007 Elan Ruusamäe <glen@pld-linux.org> c2f7d86
- builds with jdk 1.5 (just -target/-source won't do)

* Sun Dec 02 2007 Elan Ruusamäe <glen@pld-linux.org> 421187b
- -javadoc patch from fc

* Sun Dec 02 2007 Elan Ruusamäe <glen@pld-linux.org> 7c2fe86
- from fc

* Sun Dec 02 2007 Elan Ruusamäe <glen@pld-linux.org> 0cbc542
- from jpackage

